require "import"
import "com.androlua.Ticker"

local lastBatteryLevel = service.getBatteryLevel()

if ti then
    ti.stop()
    service.speak("battery announcer off! for you, thank you.")
    ti = nil
    return true
end

ti = Ticker()
ti.Period = 300000 -- 5 منٹ
ti.onTick = function()
    local currentBatteryLevel = service.getBatteryLevel()
    if math.abs(currentBatteryLevel - lastBatteryLevel) >= 5 then
        service.playSoundTick()
        local s = tostring(currentBatteryLevel).." percent"
        service.speak(s)
        lastBatteryLevel = currentBatteryLevel
    end
end

ti.start()
service.speak("battery announcer on!. every, five percent.")